ApiException (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.client

## Class ApiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.cloudera.api.swagger.client.ApiException

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiException()`
    `ApiException(int code, Map<String,List<String>> responseHeaders, String responseBody)`
    `ApiException(int code, String message)`
    `ApiException(int code, String message, Map<String,List<String>> responseHeaders, String responseBody)`
    `ApiException(String message)`
    `ApiException(String message, int code, Map<String,List<String>> responseHeaders, String responseBody)`
    `ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders)`
    `ApiException(String message, Throwable throwable, int code, Map<String,List<String>> responseHeaders, String responseBody)`
    `ApiException(Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the HTTP status code.
    `String` | `getResponseBody()` Get the HTTP response body.
    `Map<String,List<String>>` | `getResponseHeaders()` Get the HTTP response headers.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiException

          public ApiException()

    - #### ApiException

          public ApiException(Throwable throwable)

    - #### ApiException

          public ApiException(String message)

    - #### ApiException

          public ApiException(String message,
                              Throwable throwable,
                              int code,
                              Map<String,List<String>> responseHeaders,
                              String responseBody)

    - #### ApiException

          public ApiException(String message,
                              int code,
                              Map<String,List<String>> responseHeaders,
                              String responseBody)

    - #### ApiException

          public ApiException(String message,
                              Throwable throwable,
                              int code,
                              Map<String,List<String>> responseHeaders)

    - #### ApiException

          public ApiException(int code,
                              Map<String,List<String>> responseHeaders,
                              String responseBody)

    - #### ApiException

          public ApiException(int code,
                              String message)

    - #### ApiException

          public ApiException(int code,
                              String message,
                              Map<String,List<String>> responseHeaders,
                              String responseBody)

  - ### Method Detail

    - #### getCode

          public int getCode()

      Get the HTTP status code.
      Returns:
        HTTP status code

    - #### getResponseHeaders

          public Map<String,List<String>> getResponseHeaders()

      Get the HTTP response headers.
      Returns:
        A map of list of string

    - #### getResponseBody

          public String getResponseBody()

      Get the HTTP response body.
      Returns:
        Response body in the form of string

Copyright © 2026. All rights reserved.